GET /api/v202210/ghg/factorCategory/factor Deprecated

Get a list of GHG categories and their factors GHG License is required to call this endpoint

GetGHGFactorsByCategoryV202210

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GHGFactorCategoryResponseV202210
Property Description Type
factorCategoryId The Factor Category identifier integer (int32)
factorCategoryInfo The Factor Category Info string
factors The Factors attached to a Category GHGFactorByCategoryChildV202210[]
GHGFactorByCategoryChildV202210 properties
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
factorDescription The Factor Description string
factorId The Factor Identifier integer (int32)
factorInfo The Factor Info string
Example Response application/json
[
  {    "factorCategoryId": 1,    "factorCategoryInfo": "string",    "factors": [
      {      "commodity": {},      "factorDescription": "string",      "factorId": 1,      "factorInfo": "string"
    }
    ]
  }
]